\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::write()
I/O

##

Writes a given arrangement into a given output stream using a specific output format.

Requirements

- The instantiated `Formatter` class must model the `ArrangementOutputFormatter` concept.
- The instantiated `WithHistoryFormatter` class must model the `ArrangementWithHistoryOutputFormatter` concept.

See Also
  `CGAL::read()`
  `operator<<`
  `operator>>`

## Functions
template<typename Traits , typename Dcel , typename Formatter >
std::ostream & | CGAL::write (const Arrangement_2< Traits, Dcel > &arr, std::ostream &os, Formatter &formatter)
| Writes the arrangement object `arr` into the given output stream `os` using a specific output format defined by `formatter`.
template<typename Traits , typename Dcel , typename WithHistoryFormatter >
std::ostream & | CGAL::write (const Arrangement_with_history_2< Traits, Dcel > &arr, std::ostream &os, WithHistoryFormatter &formatter)
| Writes the arrangement-with-history object `arr` into the given output stream `os` using a specific output format defined by `formatter`.